///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class TargetData {
/*
{
  "id": 1,
  "name": "Tài chính",
  "description": "Tiền",
  "status": "ACTIVE"
}
*/

  int? id;
  String? name;
  String? description;
  String? status;

  TargetData({
    this.id,
    this.name,
    this.description,
    this.status,
  });
  TargetData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
    description = json['description']?.toString();
    status = json['status']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['description'] = description;
    data['status'] = status;
    return data;
  }
}

class TargetResponse {
/*
{
  "total": 8,
  "data": [
    {
      "id": 1,
      "name": "Tài chính",
      "description": "Tiền",
      "status": "ACTIVE"
    }
  ]
}
*/

  int? total;
  List<TargetData>? data;

  TargetResponse({
    this.total,
    this.data,
  });
  TargetResponse.fromJson(Map<String, dynamic> json) {
    total = json['total']?.toInt();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <TargetData>[];
      v.forEach((v) {
        arr0.add(TargetData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['total'] = total;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}
